Ask a Question

iOS Version Testing / Update Question

SOLVED
bknutson
Contributor

iOS Version Testing / Update Question

I just wanted to ask or confirm something.  I am currently using the latest version of Test Complete which supports iOS testing of version 11.  With that said, does Test Complete typically need to have an update each time a new sub-version comes out for iOS (i.e. 11.1) or, should the latest version work?  What are the 'rules' regarding when devices should be updated or not?

 

I guess this could be asked for Android as well in case someone has a reply.

 

Thanks

5 REPLIES 5
AlexKaras
Community Hero

Hi,

 

As far as I remember, if next version of iOS/Android implements some breaking changes, than support for it is added in the next major or minor upgrade of TestComplete. In the worst case it might take SmartBear to skip one or two TestComplete updates to implement proper support for the new OS version.

 

So, generic procedure applies: do not hurry to upgrade all your devices to the latest version immediately. Upgrade one for testing and check whether or not TestComplete still can drive your device.

Regards,
  /Alex [Community Hero]
____
[Community Heroes] are not employed by SmartBear Software but
are just volunteers who have some experience with the tools by SmartBear Software
and a desire to help others. Posts made by [Community Heroes]
may differ from the official policies of SmartBear Software and should be treated
as the own private opinion of their authors and under no circumstances as an
official answer from SmartBear Software.
The [Community Hero] signature is used with permission by SmartBear Software.
https://community.smartbear.com/t5/custom/page/page-id/hall-of-fame
================================

Thanks for the reply Alex.  We will wait for the next Test Complete update.

Just to double-check: do I get it right that the latest TC 12.41 has problems with iOS 11.1 ?

Regards,
  /Alex [Community Hero]
____
[Community Heroes] are not employed by SmartBear Software but
are just volunteers who have some experience with the tools by SmartBear Software
and a desire to help others. Posts made by [Community Heroes]
may differ from the official policies of SmartBear Software and should be treated
as the own private opinion of their authors and under no circumstances as an
official answer from SmartBear Software.
The [Community Hero] signature is used with permission by SmartBear Software.
https://community.smartbear.com/t5/custom/page/page-id/hall-of-fame
================================

It appears so.  We are currently on 12.41.2879.7 x86.  With iOS 11.1, when we try to connect to the device using the 'Mobile Screen' button, it comes back with a message:  "The OS version is newer than the supported versions.  Probably, you need to update TestComplete".  If you use the dropdown on that view screen to try and deploy the application, it comes up right away with "Unable to install the iOS application from the archive file".

 

 

OK, I see...

I believe that SmartBear is already aware about this problem, but you may create Support ticket and ask if they occasionally have patch available: https://support.smartbear.com/message/?prod=TestComplete

Regards,
  /Alex [Community Hero]
____
[Community Heroes] are not employed by SmartBear Software but
are just volunteers who have some experience with the tools by SmartBear Software
and a desire to help others. Posts made by [Community Heroes]
may differ from the official policies of SmartBear Software and should be treated
as the own private opinion of their authors and under no circumstances as an
official answer from SmartBear Software.
The [Community Hero] signature is used with permission by SmartBear Software.
https://community.smartbear.com/t5/custom/page/page-id/hall-of-fame
================================
cancel
Showing results for 
Search instead for 
Did you mean: